;Marshallx Industries custom Nullsoft Install System script file for NSIS 2.01
;Enemy Unknown installer

Name "Enemy Unknown 4.08.20"
Caption "Enemy Unknown 4.08.20"
AddBrandingImage left 175|263 0
;SubCaption 0 " "
BrandingText "http://marshall.cannis.net"
CRCCheck on
Icon "Enemy Unknown Icon.ico"
WindowIcon off
CheckBitmap "check.bmp"
;;DirShow hide
InstallColors CC99FF 000000
ShowInstDetails show
InstProgressFlags smooth colored
InstallDirRegKey HKLM "SOFTWARE\Westwood\Yuri's Revenge" "InstallPath"
OutFile "Enemy Unknown 4.08.20 Setup.exe"
ShowUninstDetails show
UninstallText "This will remove Purple Alert from your computer."
UninstallCaption "Uninstall Purple Alert"
AutoCloseWindow true

Function .onInit
ReadINIStr $R5 "$EXEDIR\Enemy Unknown Version.ini" "OVERRIDE" "Override"
StrCmp $R5 "yes" 0 NoOverride
MessageBox MB_OK|MB_ICONEXCLAMATION "You have chosen to override the validation checks.$\nYuri's Revenge installation folder has not been determined.$\nEnemy Unknown files will be installed to the current folder."
StrCpy $INSTDIR $EXEDIR
SectionSetFlags 1 0
SectionSetFlags 2 0
SectionSetText 2 ""
SectionSetFlags 3 0
SectionSetText 3 ""
SectionSetFlags 4 0
SectionSetText 4 ""
SectionSetFlags 5 0
SectionSetText 5 ""
Goto LetsOverride
NoOverride:
ReadRegStr $R1 HKLM "SOFTWARE\Westwood\Red Alert 2" "InstallPath"
StrCmp $R1 "" MissingRA2 0
IfFileExists "$R1" RA2Found 0
MissingRA2:
MessageBox MB_OK|MB_ICONSTOP "Red Alert 2 is not installed! Please install Red Alert 2."
Abort
Quit
RA2Found:
ReadRegStr $R2 HKLM "SOFTWARE\Westwood\Yuri's Revenge" "InstallPath"
StrCmp $R2 "" MissingYR 0
IfFileExists "$R2" FoundYR 0
MissingYR:
MessageBox MB_OK|MB_ICONSTOP "Yuri's Revenge is not installed! Please install Yuri's Revenge."
Abort
Quit
FoundYR:
ReadRegStr $R3 HKLM "SOFTWARE\Westwood\Yuri's Revenge" "Version"
IntCmp $R3 "65537" NoAbortC OldVersion NewVersion
OldVersion:
MessageBox MB_OK|MB_ICONSTOP "Enemy Unknown requires version 1.001 of Yuri's Revenge. Please update your installation of Yuri's Revenge."
Abort
Quit
NoAbortC:
IfFileExists "$INSTDIR\expandmd01.mix" NoAbortD 0
MessageBox MB_OK|MB_ICONSTOP "Your patched version of Yuri's Revenge is damaged. Please update your installation of Yuri's Revenge."
Abort
Quit
NewVersion:
MessageBox MB_YESNO|MB_ICONEXCLAMATION "This version of Enemy Unknown was designed for version 1.001 of Yuri's Revenge. Your version of Yuri's Revenge is newer. It is recommended that you check to see if a newer version of Enemy Unknown is available.$\nDo you wish to try running this version of Enemy Unknown anyway?" IDYES NoAbortD IDNO AbortPurple
Abort
Quit
NoAbortD:
IfFileExists "$INSTDIR\Enemy Unknown Launcher.exe" 0 NoAbortE
IfFileExists "$INSTDIR\Enemy Unknown Version.ini" 0 UnknownPurple
ReadINIStr $R4 "$INSTDIR\Enemy Unknown Version.ini" "VERSION" "Version"
IntCmp $R4 "40820" NoAbortE NoAbortE NewPurple
UnknownPurple:
MessageBox MB_YESNO|MB_ICONQUESTION "An unknown version of Enemy Unknown is already installed. Do you wish to reinstall?" IDYES NoAbortE IDNO AbortPurple
NewPurple:
MessageBox MB_YESNO|MB_ICONQUESTION "A newer version of Enemy Unknown is already installed. Do you wish to install this older version instead?" IDYES NoAbortE IDNO AbortPurple
AbortPurple:
MessageBox MB_OK|MB_ICONSTOP "Enemy Unknown installation has been aborted."
Abort
Quit
NoAbortE:

ReadINIStr $R8 "$INSTDIR\RA2.INI" Options ShowHidden
StrCmp $R8 "yes" SkipHiddenCancel 0
ReadINIStr $R9 "$INSTDIR\RA2MD.INI" Options ShowHidden
StrCmp $R9 "yes" SkipHiddenCancel 0
SectionSetFlags 2 0
SectionSetText 2 ""
SkipHiddenCancel:

SectionSetFlags 5 0

LetsOverride:
;StrCpy $9 "0"
SectionSetFlags 1 0
FunctionEnd


Function .onGUIInit
File "Enemy Unknown Splash.bmp"
SetBrandingImage "$INSTDIR\Enemy Unknown Splash.bmp"
FunctionEnd

ComponentText "Welcome to the setup program for Enemy Unknown. This program will install Enemy Unknown on your computer."

Section "Enemy Unknown Launcher (required)"
SetOutPath $INSTDIR
File "Enemy Unknown Launcher.exe"
AddSize "999999"
StrCmp $R5 "yes" FewerFiles 0
File "Enemy Unknown Version.ini"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\EnemyUnknown" "DisplayName" "Command &&& Conquer Red Alert 2 - Yuri's Revenge - Enemy Unknown"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\EnemyUnknown" "UninstallString" '"$INSTDIR\Enemy Unknown Uninstall.exe"'
;WriteUninstaller "Enemy Unknown Uninstall.exe"
FewerFiles:
SectionEnd

Section "RA2YR Clean Up Program; 2004-10-17"
File "RA2YR Clean Up.exe"
ExecWait "$INSTDIR\RA2YR Clean Up.exe"
SectionEnd

Section "Turn Off 'Show Hidden Objects' (RA2&YR)"
WriteINIStr "$INSTDIR\RA2.INI" Options ShowHidden no
WriteINIStr "$INSTDIR\RA2MD.INI" Options ShowHidden no
DetailPrint "RA2.INI > Options > ShowHidden=no"
DetailPrint "RA2MD.INI > Options > ShowHidden=no"
SectionEnd

Section "Start Menu Shortcuts"
CreateDirectory "$SMPROGRAMS\Enemy Unknown"
CreateShortCut "$SMPROGRAMS\Enemy Unknown\Launch Enemy Unknown.lnk" "$INSTDIR\Enemy Unknown Launcher.exe" "" "$INSTDIR\Enemy Unknown Icon.ico" 0
SectionGetFlags 1 $R5
IntCmp $R5 0 NoCleaning 0 0
CreateShortCut "$SMPROGRAMS\Enemy Unknown\RA2YR Clean Up.lnk" "$INSTDIR\RA2YR Clean Up.exe" "" "$INSTDIR\RA2YR Clean Up.exe" 0
NoCleaning:
CreateShortCut "$SMPROGRAMS\Enemy Unknown\Uninstall Enemy Unknown.lnk" "$INSTDIR\Enemy Unknown Uninstall.exe" "" "$INSTDIR\Uninst.exe" 0
SectionEnd

Section "Desktop Shortcut"
CreateShortcut "$DESKTOP\Launch Enemy Unknown.lnk" "$INSTDIR\Enemy Unknown Launcher.exe" "" "$INSTDIR\Enemy Unknown Icon.ico" 0
SectionEnd

;Section "Uninstall"
;SetOutPath $INSTDIR
;DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\PurpleAlert"
;Delete "$INSTDIR\Purple Alert Launcher.exe"
;Delete "$INSTDIR\Purple Alert Version.ini"
;Delete "$INSTDIR\Purple Alert Uninstall.exe"
;Delete "$SMPROGRAMS\Purple Alert\*.*"
;RMDir "$SMPROGRAMS\Purple Alert"
;Delete "$DESKTOP\Launch Purple Alert.lnk"
;Delete "$INSTDIR\audio.bag"
;Delete "$INSTDIR\audio.idx"
;Delete "$INSTDIR\ea_wwlogo.bik"
;Delete "$INSTDIR\ecachemd98.mix"
;Delete "$INSTDIR\expandmd98.mix"
;Delete "$INSTDIR\glslmd.shp"
;Delete "$INSTDIR\glsmd.pal"
;Delete "$INSTDIR\intro88.wav"
;Delete "$INSTDIR\load88.wav"
;Delete "$INSTDIR\purple01.wav"
;Delete "$INSTDIR\purple01.pkt"
;Delete "$INSTDIR\ra2md.csf"
;SectionEnd

Function .onInstSuccess
StrCmp $R5 "yes" NoLaunch 0
MessageBox MB_YESNO|MB_ICONQUESTION "Enemy Unknown has been successfully installed. Would you like to launch Enemy Unknown now?" IDYES 0 IDNO NoLaunch
Exec "$INSTDIR\Enemy Unknown Launcher.exe"
NoLaunch:
FunctionEnd

; eof
